From d30bb884cd2a0ac7bde819f8766e0f085c127b16 Mon Sep 17 00:00:00 2001
From: Alex Childs <misuchiru03+void@gmail.com>
Date: Mon, 17 Jun 2019 14:25:11 -0500
Subject: [PATCH] wfuzz: add python3-shodan

---
 srcpkgs/python3-XlsxWriter/template    | 19 +++++++++++++++++++
 srcpkgs/python3-click-plugins/template | 19 +++++++++++++++++++
 srcpkgs/python3-shodan/template        | 21 +++++++++++++++++++++
 srcpkgs/wfuzz/template                 |  4 ++--
 4 files changed, 61 insertions(+), 2 deletions(-)
 create mode 100644 srcpkgs/python3-XlsxWriter/template
 create mode 100644 srcpkgs/python3-click-plugins/template
 create mode 100644 srcpkgs/python3-shodan/template

diff --git a/srcpkgs/python3-XlsxWriter/template b/srcpkgs/python3-XlsxWriter/template
new file mode 100644
index 00000000000..72e7968d067
--- /dev/null
+++ b/srcpkgs/python3-XlsxWriter/template
@@ -0,0 +1,19 @@
+# Template file for 'python3-XlsxWriter'
+pkgname=python3-XlsxWriter
+version=1.1.8
+revision=1
+archs="noarch"
+wrksrc="XlsxWriter-RELEASE_${version}"
+build_style=python3-module
+hostmakedepends="python3-setuptools"
+depends="python3"
+short_desc="Python3 module for creating Excel XLSX files"
+maintainer="Alex Childs <misuchiru03+void@gmail.com>"
+license="BSD-2-Clause"
+homepage="https://xlsxwriter.readthedocs.io/"
+distfiles="https://github.com/jmcnamara/XlsxWriter/archive/RELEASE_${version}.tar.gz"
+checksum=b9311ec075693be4c0bc6ebbe292bbdac21399f863cb0c4e55100a561d67a56d
+
+post_install() {
+	vlicense LICENSE.txt
+}
diff --git a/srcpkgs/python3-click-plugins/template b/srcpkgs/python3-click-plugins/template
new file mode 100644
index 00000000000..38770f9d568
--- /dev/null
+++ b/srcpkgs/python3-click-plugins/template
@@ -0,0 +1,19 @@
+# Template file for 'python3-click-plugins'
+pkgname=python3-click-plugins
+version=1.1.1
+revision=1
+archs="noarch"
+wrksrc="click-plugins-${version}"
+build_style=python3-module
+hostmakedepends="python3-setuptools"
+depends="python3"
+short_desc="Python3-click module extension to register CLI commands"
+maintainer="Alex Childs <misuchiru03+void@gmail.com>"
+license="BSD-2-Clause"
+homepage="https://pypi.org/project/click-plugins"
+distfiles="${PYPI_SITE}/c/click-plugins/click-plugins-${version}.tar.gz"
+checksum=46ab999744a9d831159c3411bb0c79346d94a444df9a3a3742e9ed63645f264b
+
+post_install() {
+	vlicense LICENSE.txt
+}
diff --git a/srcpkgs/python3-shodan/template b/srcpkgs/python3-shodan/template
new file mode 100644
index 00000000000..d47690e4f62
--- /dev/null
+++ b/srcpkgs/python3-shodan/template
@@ -0,0 +1,21 @@
+# Template file for 'python3-shodan'
+pkgname=python3-shodan
+version=1.12.1
+revision=1
+archs="noarch"
+wrksrc="shodan-python-${version}"
+build_style=python3-module
+hostmakedepends="python3-setuptools"
+makedepends="python3-click python3-click-plugins python3-colorama
+ python3-requests python3-XlsxWriter"
+depends="python3"
+short_desc="Python library and CLI for Shodan"
+maintainer="Alex Childs <misuchiru03+void@gmail.com>"
+license="MIT"
+homepage="https://developer.shodan.io"
+distfiles="https://github.com/achillean/shodan-python/archive/${version}.tar.gz"
+checksum=c8e935fe4262d4267127aa9ec1f1924197853fdf5f26b477c6c8add1ad11a758
+
+post_install() {
+	vlicense LICENSE
+}
diff --git a/srcpkgs/wfuzz/template b/srcpkgs/wfuzz/template
index a20ac1afef5..b03c1f28add 100644
--- a/srcpkgs/wfuzz/template
+++ b/srcpkgs/wfuzz/template
@@ -1,13 +1,13 @@
 # Template file for 'wfuzz'
 pkgname=wfuzz
 version=2.4
-revision=1
+revision=2
 archs=noarch
 build_style=python3-module
 pycompile_module="wfuzz"
 hostmakedepends="python3-setuptools"
 depends="python3-chardet python3-curl python3-future python3-lxml python3-parse
- python3-parsing python3-six"
+ python3-parsing python3-six python3-shodan"
 short_desc="Web fuzzer"
 maintainer="Andrew Benson <abenson+void@gmail.com>"
 license="GPL-2.0-only"
